double ScaledChi2(double* xArray, double* par){
  double x = xArray[0];
  double n = par[0];     // degrees of freedom
  double scale = par[1];
  double denom = pow(2.,n/2.) * TMath::Gamma(n/2.);
  double numer = pow(x, n/2. - 1.) * exp(-0.5*x);
  double f = 0.;
  if ( denom != 0 ){
    f = numer/denom;
  }
  f *= scale;
  //  cout << "x, n, scale, f = " << x << "  " << 
  //  n << "  " << scale << "  " << f << endl;
  return f;
}
